/*
Copyright (c) 1998-2009 VIA Technologies, Inc. All Rights Reserved.
 
This PROPRIETARY SOURCE CODE contains proprietary information of VIA 
Technologies, Inc. (VIA); Contents of this file shall not be disclosed to any 3rd party, 
copied or duplicated in any form, in whole or in part without prior written consent of 
VIA.  THIS SOURCE CODE & ANY RELATED DOCUMENTATION 
(COLLECTIVELY SOFTWARE) ARE PROVIDED AS IS, WITH ALL FAULTS, & 
WITHOUT WARRANTY OF ANY KIND.  VIA DISCLAIMS ALL EXPRESS OR 
IMPLIED WARRANTIES.  USER ACKNOWLEDGES THAT PARTIES FOR ANY 
DAMAGES ARISING FROM USE OF SOFTWARE OR ITS DERIVATIVE, 
INCLUDING, W/O LIMITATION, LOSS OF USE, DATA OR PROFITS. USER
WHOLLY ASSUMES ALL RISK ARISING FROM USE & PERFORMANCE OF 
SOFTWARE
*/ 
 
#ifndef FDAPI_EXTSMI_H_
#define FDAPI_EXTSMI_H_

#include "fdapi_base.h"

#ifdef __cplusplus
extern "C" {
#endif

/************************************************************************
		External SMI
************************************************************************/

/**
 * The board supports external SMI function or not
 * @return   : Returns TRUE if support or FALSE otherwise.
 */
FLITEDECK_API BOOL FDSdk_SupportExternalSMI(void);

typedef void (*PFN_EXTSMI_CALLBACK)(void);

#ifndef linux
/**
 * Register a windows event for receiving a notice when triggering external SMI.
 * @return   : If the operation completes successfully, the return value is FD_S_OK.
 * If the operation fails, to get extended error information, call GetLastError()
 */
FLITEDECK_API DWORD FDExtSmi_RegisterEvent(HWND hwnd, DWORD dwMsgID);
#endif

/**
 * Set a callback function for receiving a notice when triggering external SMI.
 * @return   : If the operation completes successfully, the return value is FD_S_OK.
 * If the operation fails, to get extended error information, call GetLastError()
 */
FLITEDECK_API DWORD FDExtSmi_SetCallbackEvent(PFN_EXTSMI_CALLBACK pfnCallback);

/**
 * 	Start external SMI function
 * @return   : If the operation completes successfully, the return value is FD_S_OK.
 * If the operation fails, to get extended error information, call GetLastError()
 */
FLITEDECK_API DWORD FDExtSmi_Start(void);

/**
 * Stop external SMI function
 * @return   : If the operation completes successfully, the return value is FD_S_OK.
 * If the operation fails, to get extended error information, call GetLastError()
 */
FLITEDECK_API DWORD FDExtSmi_Stop(void);


#ifdef __cplusplus
} // extern C
#endif

#endif
