/*
Copyright (c) 1998-2009 VIA Technologies, Inc. All Rights Reserved.
 
This PROPRIETARY SOURCE CODE contains proprietary information of VIA 
Technologies, Inc. (VIA); Contents of this file shall not be disclosed to any 3rd party, 
copied or duplicated in any form, in whole or in part without prior written consent of 
VIA.  THIS SOURCE CODE & ANY RELATED DOCUMENTATION 
(COLLECTIVELY SOFTWARE) ARE PROVIDED AS IS, WITH ALL FAULTS, & 
WITHOUT WARRANTY OF ANY KIND.  VIA DISCLAIMS ALL EXPRESS OR 
IMPLIED WARRANTIES.  USER ACKNOWLEDGES THAT PARTIES FOR ANY 
DAMAGES ARISING FROM USE OF SOFTWARE OR ITS DERIVATIVE, 
INCLUDING, W/O LIMITATION, LOSS OF USE, DATA OR PROFITS. USER
WHOLLY ASSUMES ALL RISK ARISING FROM USE & PERFORMANCE OF 
SOFTWARE
*/ 
 
#ifndef FDAPI_LCDBLT_H_
#define FDAPI_LCDBLT_H_

#include "fdapi_base.h"

#ifdef __cplusplus
extern "C" {
#endif

/************************************************************************
		LCD backlight
************************************************************************/

/**
 * The board supports LCD backlight function or not
 * @return   : Returns TRUE if support or FALSE otherwise.
 */
FLITEDECK_API BOOL FDSdk_SupportLcdBlt(void);

/**
 * Get LCD power status
 * @param pbyValue: 1:power on  0:power off
 * @return   : Returns FD_S_OK if successful or FD_E_FAIL otherwise.
 */
FLITEDECK_API DWORD FDLcdBlt_GetSwitch(BYTE * pbyValue);
/**
 * Switch LCD power on/off
 * @param byValue: 1:power on  0:power off
 * @return   : Returns FD_S_OK if successful or FD_E_FAIL otherwise.
 */
FLITEDECK_API DWORD FDLcdBlt_SetSwitch(BYTE byValue);
/**
 * Get LCD brightness value
 * @param pbyValue: returned the brightness value
 * @return   : Returns FD_S_OK if successful or FD_E_FAIL otherwise.
 */
FLITEDECK_API DWORD FDLcdBlt_GetBrightness(BYTE * pbyValue);
/**
 * Set LCD brightness value
 * @param byValue: the brightness value set to LCD
 * @return   : Returns FD_S_OK if successful or FD_E_FAIL otherwise.
 */
FLITEDECK_API DWORD FDLcdBlt_SetBrightness(BYTE byValue);


#ifdef __cplusplus
} // extern C
#endif

#endif
